Ask a desktop app for its logs (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /clients/fetch-client-logs

Super admin only: asks an online desktop app to upload its app log, or a device log for deviceId/deviceType. Returns 404 for an unknown client and 400 when it is offline.

application/json

Body Required

  • clientId string Required

    The client ID

  • logType string Required

    The log type

    Values are app_log or device_log.

  • deviceId string

    The device ID

  • deviceType string

    The device type

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /clients/fetch-client-logs
curl \
 --request POST 'http://api.example.com/clients/fetch-client-logs' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "clientId": "64a7672e5462512345678901",
  "logType": "app_log",
  "deviceId": "64a7672e5462512345678901",
  "deviceType": "ios | android"
}'
Request examples
{
  "clientId": "64a7672e5462512345678901",
  "logType": "app_log",
  "deviceId": "64a7672e5462512345678901",
  "deviceType": "ios | android"
}
Response examples (201)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}